:root {
    --card-shape: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
    --pos: #00A264;
    --neg: #FF2606;
    --sylop: 252, 197, 89;
    --background: #000;
    --background-gradient: linear-gradient(135deg, #000000, #080600, #0f0c00, #151100, #191500, #1d1800, #201c00, #241f00);
}

body {
    background: var(--background-gradient);
    color: white;
    margin: 0;
    font-family: 'stellar_regular';
}

.grid {
    height: 100vh;
    width: 100vw;
    display: grid;
    grid-template-columns: .5fr 1fr 1fr .5fr;
    grid-template-rows: repeat(4, 1fr);
    grid-gap: 1px;
}

.grid>div {
    padding: 1em;
}

.players {
    grid-area: 1 / 1 / 2 / 5;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#playerTracker {
    display: flex;
    align-items: center;
    justify-content: center;
}

.playercard {
    padding: 1em 1.5em;
    margin: .5em 1em;
    text-align: center;
}

.playercard .name {
    font-size: 1.5em;
    padding-bottom: .2em;
    font-family: 'aurebesh_cantina_bold';
}

.playercard .credits {
    font-weight: bold;
}

.playercard.active {
    background-color: rgb(var(--sylop));
    color: var(--background);
    box-shadow: 0 0 30px 10px rgba(var(--sylop), 0.4);
    border-radius: 4px;
}

.playercard.active .name {
    font-weight: bold;
}

.playercard.out {
    color: var(--neg);
    text-shadow: var(--neg) 0px 0 8px;
}

.gameStatus {
    margin-top: 1.2em;
    padding-top: .8em;
    border-top: 1px dashed rgba(var(--sylop), .5);
}

#currentRound {
    padding-right: 1em;
}

#currentStage {
    padding-left: 1em;
}

.grid>.discard-pile {
    grid-area: 2 / 2 / 3 / 3;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    gap: 4em;
    padding-right: 2em;
}

.grid>.pots {
    grid-area: 2 / 3 / 3 / 4;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    gap: 2em;
    padding-left: 2em;
}

.counter {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.counter .number {
    font-family: 'almost_there_numeric';
    font-size: 6em;
    color: rgb(var(--sylop));
    text-shadow: rgb(var(--sylop)) 0px 0 8px;
    letter-spacing: -8px;
    margin-left: -15px;
}

.game-pot {
    padding-right: 2em;
    border-right: 1px dashed rgba(var(--sylop), .5);
}

.actions {
    grid-area: 3 / 2 / 4 / 4;
    display: flex;
    align-items: center;
    justify-content: center;
}

.player-hand {
    grid-area: 4 / 2 / 5 / 4;
    display: flex;
    flex-direction: column;
    align-items: bottom;
    justify-content: center;
    padding-bottom: 1em;
}

button,
#hand {
    align-self: center;
}

.title {
    grid-area: 2 / 1 / 5 / 2;
}

.title .aurebesh {
    font-size: 2.5em;
    color: rgb(var(--sylop));

    position: absolute;
    bottom: 0;
    left: 0;
    transform: rotate(270deg);
    transform-origin: 0 0;
    font-family: 'aurebesh_afcanon';
}

.game-info {
    grid-area: 4 / 4 / 5 / 5;
    display: grid;
    justify-content: right;
    align-content: end;
}

button {
    background-color: #00000000;
    border: 2px solid #fff;
    color: #fff;
    font-family: 'stellar_bold';
    padding: 15px 32px;
    border-radius: 48px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: .5em;
}

button:hover {
    background-color: #fff;
    color: var(--background);
}

.aurebesh {
    font-family: 'aurebesh_cantina_regular';
    text-shadow: rgb(var(--sylop)) 0px 0 8px;
}

.neg {
    color: var(--neg);
}

.credit {
    font-family: 'aurebesh_afcanon';
    font-weight: normal;
}

.label {
    font-family: 'stellar_bold';
    font-size: 1.5em;
    margin-bottom: .2em;
}

.label.aurebesh {
    font-family: 'aurebesh_cantina_regular';
    color: rgb(var(--sylop));
    font-size: 1em;
}

#discard,
.container {
    display: flex;
    flex-direction: row;
    gap: 1.5em;
}

.card {
    display: grid;
    justify-content: center;
    align-items: center;
    clip-path: var(--card-shape);
    height: 12em;
    width: 10em;
    background-color: white;
}

.card .value {
    font-size: 4em;
    font-family: 'stellar_bold';
}

.card.sylop .vale {
    font-size: 5em;
    padding-top: 15px;
}

.card.pos {
    border-top: 15px solid var(--pos);
    border-bottom: 15px solid var(--pos);
}

.card.pos .value {
    color: var(--pos);
}

.card.neg {
    border-top: 15px solid var(--neg);
    border-bottom: 15px solid var(--neg);
}

.card.neg .value {
    color: var(--neg);
}

.card.sylop {
    border-top: 15px solid rgb(var(--sylop));
    border-bottom: 15px solid rgb(var(--sylop));
}

.card.sylop .value {
    color: rgb(var(--sylop));
    content: '⌽';
}

.handtotal {
    text-align: center;
    margin-top: 1.5em;
    color: #ffffff9f;
}

.progress-bar {
    height: 20px;
    width: 100%;
    background-color: navy;
}

.progress-bar .bar {
    height: 20px;
    width: 30%;
}

.progress-bar .bar span {
    display: inline-block;
}

#rnd1progress {
    height: 20px;
    background-color: green;
}

#rnd2progress {
    height: 20px;
    background-color: orange;
}

#rnd3progress {
    height: 20px;
    background-color: red;
}